using BingoBrain.Core;
using DontConfuse;
using UnityEngine;

namespace BingoBrain
{
    public class Network : BaseUnity<Network>
    {
        public static bool IsReleaseMode
        {
            get
            {
#if BingoBrainRelease
                return true;
#else
                return false;
#endif
            }
        }

        public static string domainUrl => IsReleaseMode ? DomainReleaseUrl : DomainDebugUrl;

        public const string DomainDebugUrl = @"http://swhitegames.top/api/";
        public static readonly string DomainReleaseUrl = $"https://{DomainRelease}/api/";
        public const string DomainRelease = "bingoglassland.top";

        private ConfigSystem _ConfigSystem;
        private LoginSystem loginSystem;
        private PlayDataSystem playDataSystem;
        public override void Init()
        {
            InitSystem();
        }

        private void InitSystem()
        {


            new LoginModel();
            playDataSystem = new PlayDataSystem();
            loginSystem = new LoginSystem();
            _ConfigSystem = new ConfigSystem();
            new WebviewManager();

        }

    }
}